Name:           ukui-tablet-desktop 
Version:        4.0.0.0
Release:        1
Summary:        Desktop for ukui tablet
License:        GPL-3.0+
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz
Patch01:        0001-fix-ukui-tablet-desktop-lrelease-issue.patch

BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qttools-devel
BuildRequires: kf5-kio-devel
BuildRequires: ukui-interface
BuildRequires: gsettings-qt-devel
BuildRequires: qt5-qtquickcontrols2-devel
BuildRequires: kf5-kwayland-devel
BuildRequires: libukui-appwidget-manager-devel
BuildRequires: libukui-appwidget-provider-devel
BuildRequires: libukui-appwidget-manager0
BuildRequires: pkgconf
BuildRequires: libkysdk-waylandhelper-devel
BuildRequires: libkysdk-qtwidgets-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: libkysdk-kabase-devel
BuildRequires: libkysdk-sysinfo-devel
BuildRequires: opencv
BuildRequires: kf5-kiconthemes-devel
BuildRequires: qt5-qtbase-private-devel
Obsoletes: kylin-tablet-desktop-general <= 1.0.30.1


%description
 ukui-tablet-desktop is the UKUI tablet mode desktop which shows and launches 
 applications and widgets. It provides a tablet mode taskbar that can be 
 shown when running an application when slide up from the bottom of the screen.

%package -n kylin-tablet-desktop-general
Summary:	transitional package
Requires: ukui-tablet-desktop
%description -n kylin-tablet-desktop-general
This is a transitional package. It can safely be removed.


%prep
%autosetup -n %{name}-%{version} -p1

%build
mkdir build && cd build
%{qmake_qt5} ..
%{make_build}

%install
cd %{_builddir}/%{name}-%{version}/build
%{make_install} INSTALL_ROOT=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc debian/changelog
%license  debian/copyright

%{_sysconfdir}/ukui-tablet-desktop.conf
%{_sysconfdir}/X11/Xsession.d/99qtquick-scene-graph-backend-config
%{_sysconfdir}/xdg/autostart/ukui-tablet-desktop.desktop
%{_bindir}/check-qtqtuick-scene-render-loop
%{_bindir}/lunarcalendarwidget
%{_bindir}/ukui-tablet-desktop
%{_datadir}/ukui/translations/ukui-tablet-desktop/*.qm
%{_datadir}/glib-2.0/schemas/org.kylin-tablet-desktop.gschema.xml

%files -n kylin-tablet-desktop-general
%doc debian/changelog
%license  debian/copyright

%changelog
* Mon Apr 08 2024 douyan <douyan@kylinos.cn> - 4.0.0.0-1
- Type:update
- ID:NA
- SUG:NA
- DESC: update to upstream version 4.0.0.0-ok2.4
